HUGO-MOD-GET(1)

NAME
hugo-mod-get - Resolves dependencies in your current Hugo project

SYNOPSIS
hugo mod get [flags] [args]

DESCRIPTION
Resolves dependencies in your current Hugo project.

Some examples:

Install the latest version possible for a given module:

    hugo mod get github.com/gohugoio/testshortcodes

Install a specific version:

    hugo mod get github.com/gohugoio/testshortcodes@v0.3.0

Install the latest versions of all direct module dependencies:

    hugo mod get
    hugo mod get ./... (recursive)

Install the latest versions of all module dependencies (direct and indirect):

    hugo mod get -u
    hugo mod get -u ./... (recursive)

Run "go help get" for more information. All flags available for "go get" is also relevant here.

Note that Hugo will always start out by resolving the components defined in the site configuration, provided by a _vendor directory (if no --ignoreVendorPaths flag provided), Go Modules, or a folder inside the themes directory, in that order.

See https://gohugo.io/hugo-modules/ for more information.

OPTIONS
-h, --help[=false]
    help for get

OPTIONS INHERITED FROM PARENT COMMANDS
--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO
hugo-mod(1)